Update Virtual Account

Update Virtual Account

put
/v0/customers/{customer_id}/virtual-account/{virtual_account_id}

Updates the destination address and/or developer fee of an existing active virtual account

Path parameters
customer_idstringRequired

The unique identifier of the customer

virtual_account_idstringRequired

The unique identifier of the virtual account

Header parameters
Api-KeystringRequired

Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.

Body

At least one of the fields must be provided

destination_addressstringOptional

The new blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
Responses
chevron-right
200

Successfully updated virtual account

application/json
idstring · uuidOptional

The unique identifier for the virtual account

statusstring · enumOptional

The current status of the virtual account

Possible values:
destination_tokenstring · enumOptional

The currency to be deposited

Possible values:
destination_networkstring · enumOptional

The blockchain network for the destination

Possible values:
destination_addressstringOptional

The blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
deposit_instructionsone ofOptional
or
or
put
/v0/customers/{customer_id}/virtual-account/{virtual_account_id}

Last updated